import 'dart:io';
import 'dart:async';
import 'package:mustache4dart/mustache4dart.dart';

/**
 * compile template with data context
 */
Future<String> compile(String template, Object context) {
  return new File(template).readAsString().then((String contents) {
    var rendered = render(contents, context);
    return rendered;
  });
}

Future<File> write(String dist, String contents) {
  return new File(dist).create(recursive: true).then((File file) {
    return file.writeAsString(contents);
  });
}
